import graphene
from graphene import Schema

from bot_data.abc.queryABC import QueryABC
from bot_data.graphql.root_query import RootQuery


class GraphQL:

    def __init__(self):
        QueryABC.init()
        self._schema = graphene.Schema(query=RootQuery)

    @property
    def schema(self) -> Schema:
        return self._schema
